# vue-project

This template should help get you started developing with Vue 3 in Vite.

## Recommended IDE Setup

[VSCode](https://code.visualstudio.com/) + [Volar](https://marketplace.visualstudio.com/items?itemName=Vue.volar) (and disable Vetur) + [TypeScript Vue Plugin (Volar)](https://marketplace.visualstudio.com/items?itemName=Vue.vscode-typescript-vue-plugin).

## Customize configuration

See [Vite Configuration Reference](https://vitejs.dev/config/).

## Project Setup

***这是基于docker的项目，对于开发环境要求只需要docker，不需要安装node或npm。***

```sh
./npm install
```

### Compile and Hot-Reload for Development

```sh
./npm run dev
```

### Compile and Minify for Production

```sh
./npm run build
```

## 文件说明

|文件|说明|
|---|---|
|docker-compose.yml|docker编排文件，里面可以定义端口、工作目录等|
|docker-entrypoint.sh|可以被映射到容器中的`/usr/local/bin/docker-entrypoint.sh`，定义容器启动后会自动执行的任务|
|nginx.conf|可以被映射到容器中的`/usr/local/openresty/nginx/conf/nginx.conf`，容器中nginx服务的配置文件|
|npm|可以执行容器中的npm命令的自动化脚本，使用方法与原生npm一致，不过要在前面加上./，如`./npm run dev`|
